import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'max_print_plus_method_channel.dart';

abstract class MaxPrintPlusPlatform extends PlatformInterface {
  /// Constructs a MaxPrintPlusPlatform.
  MaxPrintPlusPlatform() : super(token: _token);

  static final Object _token = Object();

  static MaxPrintPlusPlatform _instance = MethodChannelMaxPrintPlus();

  /// The default instance of [MaxPrintPlusPlatform] to use.
  ///
  /// Defaults to [MethodChannelMaxPrintPlus].
  static MaxPrintPlusPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [MaxPrintPlusPlatform] when
  /// they register themselves.
  static set instance(MaxPrintPlusPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
